<body class="background" *ngIf="this.loginService.loginStatus !== 0" >
    <mat-sidenav-container>
        <mat-sidenav>
            <mat-toolbar>Menu</mat-toolbar>
        </mat-sidenav>
        <mat-toolbar color="primary">
            <h3>Find 7 Differences</h3>
            <span class="fill-space"></span>
        </mat-toolbar>
    </mat-sidenav-container>

<mat-card class="example-card" >
    <mat-card-header>
      <mat-card-title>Login</mat-card-title>
    </mat-card-header>

    <mat-card-content>
              <mat-form-field class="example-card">
              <input matInput placeholder="Username" input type="text" [(ngModel)]="name" placeholder="UserName" maxlength="20" />
              </mat-form-field>
    </mat-card-content>
    <mat-card-actions>
      <button mat-raised-button color="primary" (click)="connectUser()" name="send"  icon="ok-circle"  title="userName" > Connect </button>
    </mat-card-actions>

    <div class="errorMesage" *ngIf="loginService.loginStatus === 1">
        The user is already connected.
    </div>

    <div class="errorMesage" *ngIf="loginService.loginStatus === 2">
        The user name must be between 2 and 20 alphanumeric characters.
    </div>

  </mat-card>
  </body>
  <app-games-card-list [currentUserName]="name" *ngIf="this.loginService.loginStatus === 0"></app-games-card-list>
